VerticalChartServlet (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.servlet.VerticalChartServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.servlet
Class VerticalChartServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.hyperic.hq.ui.servlet.ParameterizedServlet
                  org.hyperic.hq.ui.servlet.ImageServlet
                      org.hyperic.hq.ui.servlet.ChartServlet
                          org.hyperic.hq.ui.servlet.VerticalChartServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  CurrentHealthChartServlet, MetricChartServlet

    public abstract class VerticalChartServlet

extends ChartServlet

Abstract base class for vertical charts.

The chart servlet takes the following parameters (any applicable defaults are in bold and required parameters are in italics):

key | value
--- | ---
collectionType | <integer (0)>*

* Must be a valid value from `{@link org.hyperic.hq.measurement.MeasurementConstants`.

See Also:
  `MeasurementConstants`, Serialized Form

Field Summary
`static java.lang.String` | `COLLECTION_TYPE_PARAM` Request parameter for unit scale.

Fields inherited from class org.hyperic.hq.ui.servlet.ChartServlet
`BASELINE_PARAM, HIGHRANGE_PARAM, IMAGE_HEIGHT_DEFAULT, IMAGE_WIDTH_DEFAULT, LOWRANGE_PARAM, SHOW_AVERAGE_PARAM, SHOW_BASELINE_PARAM, SHOW_HIGHRANGE_PARAM, SHOW_LOW_PARAM, SHOW_LOWRANGE_PARAM, SHOW_PEAK_PARAM, SHOW_VALUES_PARAM, UNIT_SCALE_PARAM, UNIT_UNITS_PARAM`

Fields inherited from class org.hyperic.hq.ui.servlet.ImageServlet
`IMAGE_FORMAT_JPEG, IMAGE_FORMAT_PARAM, IMAGE_FORMAT_PNG, IMAGE_HEIGHT_PARAM, IMAGE_WIDTH_PARAM`

Constructor Summary
`VerticalChartServlet()`

Method Summary
`protected int` | `getDefaultCollectionType()` Return the default `collectionType`.
`protected int` | `getTrendForCollectionType(int collectionType)` Get the trend based on the collection type.
`protected void` | `initializeChart(Chart chart, javax.servlet.http.HttpServletRequest request)` Initialize the chart.
`protected void` | `parseParameters(javax.servlet.http.HttpServletRequest request)` This method will be called automatically by the ChartServlet.

Methods inherited from class org.hyperic.hq.ui.servlet.ChartServlet
`createChart, createImage, getDefaultImageHeight, getDefaultImageWidth, getDefaultShowAverage, getDefaultShowBaseline, getDefaultShowHighRange, getDefaultShowLow, getDefaultShowLowRange, getDefaultShowPeak, getDefaultShowValues, getDefaultUnitScale, getDefaultUnitUnits, getShowAvg, getShowLow, getShowPeak, plotData, renderJpegImage, renderPngImage`

Methods inherited from class org.hyperic.hq.ui.servlet.ImageServlet
`doGet, getDefaultImageFormat, getImageHeight, getImageWidth, init`

Methods inherited from class org.hyperic.hq.ui.servlet.ParameterizedServlet
`invalidParamErr, invalidParamErr, invalidParamWarn, invalidParamWarn, invalidParamWarn, invalidParamWarn, invalidParamWarn, parseBooleanParameter, parseDoubleParameter, parseIntParameter, parseLongParameter, parseRequiredBooleanParameter, parseRequiredDoubleParameter, parseRequiredIntParameter, parseRequiredLongParameter, parseRequiredStringParameter, parseRequiredStringParameter, parseStringParameter, parseStringParameter, requiredParamErr`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLLECTION_TYPE_PARAM

    public static final java.lang.String COLLECTION_TYPE_PARAM

  Request parameter for unit scale.

  See Also:
    Constant Field Values

Constructor Detail

### VerticalChartServlet

    public VerticalChartServlet()

Method Detail

### getDefaultCollectionType

    protected int getDefaultCollectionType()

  Return the default `collectionType`.

### parseParameters

    protected void parseParameters(javax.servlet.http.HttpServletRequest request)

  This method will be called automatically by the ChartServlet. It should handle the parsing and error-checking of any specific parameters for the chart being rendered.

  Overrides:
    `parseParameters` in class `ChartServlet`
  Parameters:
    `request` - the HTTP request object

### initializeChart

    protected void initializeChart(Chart chart,
                                   javax.servlet.http.HttpServletRequest request)

  Initialize the chart. This method will be called after the parameters have been parsed and the chart has been created.

  Overrides:
    `initializeChart` in class `ChartServlet`
  Parameters:
    `chart` - the chart
    `request` - TODO

### getTrendForCollectionType

    protected int getTrendForCollectionType(int collectionType)

  Get the trend based on the collection type. If the collection type is invalid, it will return `TREND_NONE`.

  Parameters:
    `collectionType` - the collection type from ``MeasurementConstants``
  Returns:
    the trend from ``net.covalent.chart.Trend``
  See Also:
    `MeasurementConstants`, `net.covalent.chart.Trend`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.